---
title: "Delete a webhook endpoint and its delivery log | Crossmart Docs"
description: "Documentation for Crossmart, the open-source multichannel platform for sellers and their AI agents."
url: "https://docs.crossmart.io/developers/api/operations/webhookendpointscontroller_delete_v1/"
---

# Delete a webhook endpoint and its delivery log

DELETE

/api/v1/workspaces/{workspaceId}/webhook-endpoints/{endpointId}

Select code sample

```sh
curl --request DELETE \
  --url https://api.crossmart.io/api/v1/workspaces/example/webhook-endpoints/example \
  --header 'x-api-key: <x-api-key>'
```

- Crossmart Cloud

## Authorizations

- **[api_key](https://docs.crossmart.io/developers/api/#api_key)**
- **[cookie](https://docs.crossmart.io/developers/api/#cookie)**
- **[bearer](https://docs.crossmart.io/developers/api/#bearer)**

## Parameters

### Path Parameters

**workspaceId**

required

string

**endpointId**

required

string

## Responses

### 204
